## javax.faces.component
Class UIViewRoot

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIViewRoot

All Implemented Interfaces:
  StateHolder

public class UIViewRoot
extends UIComponentBase

see Javadoc of JSF Specification

Version:
  $Revision: 265611 $ $Date: 2005-08-31 21:05:16 -0400 (Wed, 31 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`
`static java.lang.String` `UNIQUE_ID_PREFIX`

Constructor Summary
`UIViewRoot()`

Method Summary
`java.lang.String` `createUniqueId()`
`void` `encodeBegin(FacesContext context)`
`java.lang.String` `getFamily()`
`java.util.Locale` `getLocale()`
`java.lang.String` `getRenderKitId()`
`java.lang.String` `getViewId()`
`void` `processApplication(FacesContext context)`
`void` `processDecodes(FacesContext context)`
`void` `processUpdates(FacesContext context)`
`void` `processValidators(FacesContext context)`
`void` `queueEvent(FacesEvent event)`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setLocale(java.util.Locale locale)`
`void` `setRenderKitId(java.lang.String renderKitId)`
`void` `setViewId(java.lang.String viewId)`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNIQUE_ID_PREFIX

    public static final java.lang.String UNIQUE_ID_PREFIX

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIViewRoot

    public UIViewRoot()

Method Detail

### getViewId

    public java.lang.String getViewId()

### setViewId

    public void setViewId(java.lang.String viewId)

### queueEvent

    public void queueEvent(FacesEvent event)

  Overrides:
    `queueEvent` in class `UIComponentBase`

### processDecodes

    public void processDecodes(FacesContext context)

  Overrides:
    `processDecodes` in class `UIComponentBase`

### processValidators

    public void processValidators(FacesContext context)

  Overrides:
    `processValidators` in class `UIComponentBase`

### processUpdates

    public void processUpdates(FacesContext context)

  Overrides:
    `processUpdates` in class `UIComponentBase`

### processApplication

    public void processApplication(FacesContext context)

### encodeBegin

    public void encodeBegin(FacesContext context)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `UIComponentBase`
  Throws:
    `java.io.IOException`

### createUniqueId

    public java.lang.String createUniqueId()

### getLocale

    public java.util.Locale getLocale()

### setLocale

    public void setLocale(java.util.Locale locale)

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `UIComponent`

### setRenderKitId

    public void setRenderKitId(java.lang.String renderKitId)

### getRenderKitId

    public java.lang.String getRenderKitId()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIComponentBase`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIComponentBase`